API Reference
Participant validation
Validate issuer
POST
/v1/ecosystems/issuer-validationAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/issuer-validation" \ -H "Content-Type: application/json" \ -d '{ "profile": "compact", "identifier": "did:example:abcdb1f712ebc6f1c276e12ec21" }'{
"validated": true,
"policyVersion": "1698371362017",
"identifier": "did:example:abcdb1f712ebc6f1c276e12ec21"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Empty
Validate verifier
POST
/v1/ecosystems/verifier-validationAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v1/ecosystems/verifier-validation" \ -H "Content-Type: application/json" \ -d '{ "profile": "compact", "identifier": "did:example:abcdb1f712ebc6f1c276e12ec21" }'{
"validated": true,
"policyVersion": "1698371362017",
"identifier": "did:example:abcdb1f712ebc6f1c276e12ec21"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Empty
How would you rate this page?
Last updated on